.details {
    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;

    .poster-thumbnail {
        max-width: 100%;
        width: auto;
        max-height: 310px;
        height: auto;
        margin-left: auto;
        margin-right: auto;
        border-style: none;
        overflow-clip-margin: content-box;
        overflow: clip;
    }

    .poster-overlay {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.8);
        text-align: center;
        z-index: 1000;

        &:target { display: block; }
    }

    .poster-enlarged {
        max-width: 90%;
        max-height: 90%;
        margin-top: 5%;
    }

    .enlarged-poster-close {
        position: absolute;
        top: 20px;
        right: 30px;
        color: white;
        font-size: 40px;
        text-decoration: none;
    }
}
